| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellTie::Server Class Reference
WellAttrib

`#include <welltiedata.h>`

Inheritance diagram for WellTie::Server:
[legend]

## Public Member Functions
| Server (const WellTie::Setup &)
| ~Server ()
bool | computeAdditionalInfo (const Interval< float > &)
bool | computeCrossCorrelation ()
bool | computeEstimatedWavelet (int newsz)
bool | computeSynthetics (const Wavelet &)
D2TModelMgr & | d2TModelMgr ()
const Data & | data () const
DataWriter & | dataWriter ()
DispParams & | dispParams ()
bool | doSeismic () const
const uiString & | errMsg () const
bool | extractSeismics ()
bool | hasSeismic () const
bool | hasSynthetic () const
HorizonMgr & | horizonMgr ()
bool | isOK () const
PickSetMgr & | pickMgr ()
void | setCrossCorrZrg (const Interval< float > &)
bool | setNewWavelet (const MultiID &)
void | setTaskRunner (TaskRunner *taskrun)
void | updateExtractionRange ()
bool | updateSynthetics (const Wavelet &)
const uiString & | warnMsg () const
RefMan< Well::Data > | wd ()
ConstRefMan< Well::Data > | wd () const
const MultiID & | wellID () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | handleDataPlayerWarning () const
void | wellDataDel (CallBacker *)

## Protected Attributes
D2TModelMgr * | d2tmgr_
Data * | data_ = nullptr
DataPlayer * | dataplayer_
DataWriter * | datawriter_
uiString | errmsg_
HorizonMgr * | hormgr_
PickSetMgr * | pickmgr_
uiString | warnmsg_
WellDataMgr * | wdmgr_
MultiID | wellid_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Server()

WellTie::Server::Server | ( | const WellTie::Setup & |  | ) |

## ◆ ~Server()

WellTie::Server::~Server | ( |  | ) |

## Member Function Documentation

## ◆ computeAdditionalInfo()

bool WellTie::Server::computeAdditionalInfo | ( | const Interval< float > & |  | ) |

## ◆ computeCrossCorrelation()

bool WellTie::Server::computeCrossCorrelation | ( |  | ) |

## ◆ computeEstimatedWavelet()

bool WellTie::Server::computeEstimatedWavelet | ( | int | newsz | ) |

## ◆ computeSynthetics()

bool WellTie::Server::computeSynthetics | ( | const Wavelet & |  | ) |

## ◆ d2TModelMgr()

D2TModelMgr & WellTie::Server::d2TModelMgr | ( |  | ) |
| inline

## ◆ data()

const Data & WellTie::Server::data | ( |  | ) | const
| inline

## ◆ dataWriter()

DataWriter & WellTie::Server::dataWriter | ( |  | ) |
| inline

## ◆ dispParams()

DispParams & WellTie::Server::dispParams | ( |  | ) |
| inline

## ◆ doSeismic()

bool WellTie::Server::doSeismic | ( |  | ) | const

## ◆ errMsg()

const uiString & WellTie::Server::errMsg | ( |  | ) | const
| inline

## ◆ extractSeismics()

bool WellTie::Server::extractSeismics | ( |  | ) |

## ◆ handleDataPlayerWarning()

void WellTie::Server::handleDataPlayerWarning | ( |  | ) | const
| protected

## ◆ hasSeismic()

bool WellTie::Server::hasSeismic | ( |  | ) | const

## ◆ hasSynthetic()

bool WellTie::Server::hasSynthetic | ( |  | ) | const

## ◆ horizonMgr()

HorizonMgr & WellTie::Server::horizonMgr | ( |  | ) |
| inline

## ◆ isOK()

bool WellTie::Server::isOK | ( |  | ) | const
| inline

## ◆ pickMgr()

PickSetMgr & WellTie::Server::pickMgr | ( |  | ) |
| inline

## ◆ setCrossCorrZrg()

void WellTie::Server::setCrossCorrZrg | ( | const Interval< float > & |  | ) |

## ◆ setNewWavelet()

bool WellTie::Server::setNewWavelet | ( | const MultiID & |  | ) |

## ◆ setTaskRunner()

void WellTie::Server::setTaskRunner | ( | TaskRunner * | taskrun | ) |
| inline

## ◆ updateExtractionRange()

void WellTie::Server::updateExtractionRange | ( |  | ) |

## ◆ updateSynthetics()

bool WellTie::Server::updateSynthetics | ( | const Wavelet & |  | ) |

## ◆ warnMsg()

const uiString & WellTie::Server::warnMsg | ( |  | ) | const
| inline

## ◆ wd() [1/2]

RefMan< Well::Data > WellTie::Server::wd | ( |  | ) |
| inline

## ◆ wd() [2/2]

ConstRefMan< Well::Data > WellTie::Server::wd | ( |  | ) | const
| inline

## ◆ wellDataDel()

void WellTie::Server::wellDataDel | ( | CallBacker * |  | ) |
| protected

## ◆ wellID()

const MultiID & WellTie::Server::wellID | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ d2tmgr_

D2TModelMgr* WellTie::Server::d2tmgr_
| protected

## ◆ data_

Data* WellTie::Server::data_ = nullptr
| protected

## ◆ dataplayer_

DataPlayer* WellTie::Server::dataplayer_
| protected

## ◆ datawriter_

DataWriter* WellTie::Server::datawriter_
| protected

## ◆ errmsg_

uiString WellTie::Server::errmsg_
| protected

## ◆ hormgr_

HorizonMgr* WellTie::Server::hormgr_
| protected

## ◆ pickmgr_

PickSetMgr* WellTie::Server::pickmgr_
| protected

## ◆ warnmsg_

uiString WellTie::Server::warnmsg_
| mutable protected

## ◆ wdmgr_

WellDataMgr* WellTie::Server::wdmgr_
| protected

## ◆ wellid_

MultiID WellTie::Server::wellid_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025